Bug 510850 - .Xclients ignored - unable to login with my choice of window manager
.Xclients ignored - unable to login with my choice of window manager
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-xinit (Show other bugs)
11
All Linux
low Severity urgent
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-11 12:10 EDT by Tethys
Modified: 2010-04-09 22:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-09 22:08:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tethys 2009-07-11 12:10:43 EDT
Description of problem:
Although the xinit-compat.desktop is installed, it's being completely
ignored. I select "User script" at login time, and it ignores the
contents of my .Xinitrc, and logs me in to a default GNOME desktop.

Version-Release number of selected component (if applicable):
xorg-x11-xinit-session-1.0.9

How reproducible:
Every time

Steps to Reproduce:
1. Enter login name to gdm
2. Select "User script" from the menu at the bottom of the screen
3. Enter password
  
Actual results:
GNOME desktop :-(

Expected results:
20 years worth of accumulated customized X11 goodness via .Xclients

Additional info:
When I first installed xorg-x11-xinit-session, all seemed fine, and I
could log in to my chosen desktop as expected. However, I have an NFS
mounted home directory, and when I logged into an older box (which also
worked fine), it seemed to break logging in to F11, and I'm now unable
to log in successfully any more.

This is a major problem. I'm now effectively prevented from logging in,
unless I cripple myself with an unfamiliar desktop.
Comment 1 Matěj Cepl 2009-11-05 13:34:30 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 2 Matěj Cepl 2010-02-26 07:21:08 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 3 Chris Campbell 2010-04-09 22:08:55 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.